diff -pruN 2.04-5/debian/Makefile.PL.debian 2.04-6/debian/Makefile.PL.debian
--- 2.04-5/debian/Makefile.PL.debian	2021-12-23 08:20:00.000000000 +0000
+++ 2.04-6/debian/Makefile.PL.debian	1970-01-01 00:00:00.000000000 +0000
@@ -1,9 +0,0 @@
-use ExtUtils::MakeMaker;
-
-WriteMakefile(
-	      'NAME' => 'Text::Kakasi',
-	      'VERSION_FROM' => 'Kakasi.pm',
-	      'INC' => '-I/usr/include',
-	      'LIBS' => ['-L/usr/lib -lkakasi'],
-	      'DEFINE' => '-DWAKATIGAKI',
-);
diff -pruN 2.04-5/debian/changelog 2.04-6/debian/changelog
--- 2.04-5/debian/changelog	2021-12-23 08:20:00.000000000 +0000
+++ 2.04-6/debian/changelog	2024-05-16 14:57:14.000000000 +0000
@@ -1,3 +1,17 @@
+libtext-kakasi-perl (2.04-6) unstable; urgency=medium
+
+  * debian/control: update Build-Depends for cross builds.
+  * Refresh debian/control, set Maintainer to team.
+  * Declare compliance with Debian Policy 4.7.0.
+  * Set Rules-Requires-Root: no.
+  * Bump debhelper-compat to 13.
+  * Drop unneeded version constraints from (build) dependencies.
+  * Update Build-Depends for cross builds.
+  * Use standard Vcs fields for perl package.
+  * Update long description.
+
+ -- gregor herrmann <gregoa@debian.org>  Thu, 16 May 2024 16:57:14 +0200
+
 libtext-kakasi-perl (2.04-5) unstable; urgency=medium
 
   * d/control: Add Vcs-* fields.
@@ -66,5 +80,3 @@ libtext-kakasi-perl (1.04-1) unstable; u
   * Initial Release.
 
  -- Takuo KITAME <kitame@northeye.org>  Tue, 18 Apr 2000 04:52:21 +0900
-
-
diff -pruN 2.04-5/debian/compat 2.04-6/debian/compat
--- 2.04-5/debian/compat	2021-12-23 08:20:00.000000000 +0000
+++ 2.04-6/debian/compat	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-9
diff -pruN 2.04-5/debian/control 2.04-6/debian/control
--- 2.04-5/debian/control	2021-12-23 08:20:00.000000000 +0000
+++ 2.04-6/debian/control	2024-05-16 14:57:14.000000000 +0000
@@ -1,18 +1,26 @@
 Source: libtext-kakasi-perl
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Uploaders: NOKUBI Takatsugu <knok@daionet.gr.jp>
 Section: perl
+Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Maintainer: NOKUBI Takatsugu <knok@daionet.gr.jp>
-Build-Depends: libkakasi2-dev, debhelper, perl (>= 5.6.0-16)
-Standards-Version: 3.7.3
-Vcs-Git: https://salsa.debian.org/debian/libtext-kakasi-perl.git
-Vcs-Browser: https://salsa.debian.org/debian/libtext-kakasi-perl
+Build-Depends: debhelper-compat (= 13),
+               libkakasi2-dev,
+               perl-xs-dev,
+               perl:native
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libtext-kakasi-perl
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libtext-kakasi-perl.git
+Rules-Requires-Root: no
 
 Package: libtext-kakasi-perl
 Architecture: any
-Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${perl:Depends},
+         ${shlibs:Depends}
 Description: KAKASI interface for scripting language perl
- KAKASI interface module for Perl.
+ Text::Kakasi is a KAKASI interface module for Perl.
+ .
  KAKASI is the language processing filter to convert Kanji characters
  to Hiragana, Katakana or Romaji(alphabetical description of Japanese
  pronunciation).
-
diff -pruN 2.04-5/debian/docs 2.04-6/debian/docs
--- 2.04-5/debian/docs	2021-12-23 08:20:00.000000000 +0000
+++ 2.04-6/debian/docs	1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-README
-README.jp
diff -pruN 2.04-5/debian/libtext-kakasi-perl.docs 2.04-6/debian/libtext-kakasi-perl.docs
--- 2.04-5/debian/libtext-kakasi-perl.docs	1970-01-01 00:00:00.000000000 +0000
+++ 2.04-6/debian/libtext-kakasi-perl.docs	2024-05-16 14:57:14.000000000 +0000
@@ -0,0 +1,2 @@
+README
+README.jp
